curl --request GET \
--url https://app.leadconduit.com/destinations \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://app.leadconduit.com/destinations"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://app.leadconduit.com/destinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "Salesforce",
"integration_name": "<string>",
"integration_icon_url": "<string>",
"instance_id": "<string>",
"actions": [
{
"name": "Add Lead",
"action_id": "Add Lead",
"webhook_url": "<string>"
}
],
"flow_usages": {
"count": 123,
"flows": [
{
"id": "5fd4371e940df5a34a3888b2",
"name": "<string>"
}
]
}
}
]{
"error": "not authorized"
}List all destinations configured for the account
The /destinations resource is used to query destinations
which have been configured in the LeadConduit app.
If no destinations are configured for your account, this resource will return an empty array.
Destinations returned from this endpoint can be
added to flows.
Authorizations
LeadConduit uses HTTP Basic Authentication
with the username API and your API key as the password.
For example: API:1f1b96c9150d8050e858c043d543bb4eadae0e6f'
Query Parameters
Additional properties to include in the response.
flow_usages Response
OK
A customizable name of the destination.
"Salesforce"
The name of the integration as published in the Marketplace.
Pre-signed URL for the integration icon.
The Prismatic instance ID.
A list of actions available in the configured instance. These map to Prismatic "flows" within an instance.
Show child attributes
Show child attributes
Contains data on flows in which the destination is used.
This field is optional and is only included when the include=flow_usages query parameter is included in the request.
Show child attributes
Show child attributes